AnsweredAssumed Answered

Activiti and Grails 2.2.1

Question asked by gavnunns on May 13, 2013
Latest reply on May 14, 2013 by jbarrez
Hello,  As the grails Activiti plugin has not been maintained and it not compatible with the latest version of Grails and Activiti I'm trying to use the activiti engine from within a Grails application.  However there appears to be some configeration issues when it comes to running everything from the same VM.

Has anyone managed to get the Grails 2.2.1 and Activiti working from the same VM and if so what did you need to do?

The issues I see once I have setup my PoM file to have the required dependencies for both grails and activiti


|Running Grails application
Error |
2013-05-13 10:43:05,555 [localhost-startStop-1] ERROR context.ContextLoader  - Context initialization failed
Message: Error creating bean with name 'pluginManager' defined in ServletContext resource [/WEB-INF/applicationContext.xml]: Invocation of init method failed; nested exception is java.lang.NoSuchMethodError: com.googlecode.concurrentlinkedhashmap.ConcurrentLinkedHashMap$Builder.maximumWeightedCapacity(J)Lcom/googlecode/concurrentlinkedhashmap/ConcurrentLinkedHashMap$Builder;

Outcomes